Get service request history by ID
https://api.propexo.com/v1/service-request-history/:service_request_history_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the service request history
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe date the record first entered the integration vendor
| Interface | Method |
|---|---|
| Tasks | GET /tasks/:taskId/history |
2024-06-12T09:15:00.000ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| Tasks | GET /tasks/:taskId/history |
cl9b1nqwe0016jsxq8ab1c2apThe external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| Tasks | GET /tasks/:taskId/history |
cl9b1nqwe0001jsxq8ab1c2aaThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for BUILDIUM
nullNotes associated with the service request history
| Interface | Method |
|---|---|
| Tasks | GET /tasks/:taskId/history |
Marked the request in progress after speaking with the residentThe raw status associated with the service request history
| Interface | Method |
|---|---|
| Tasks | GET /tasks/:taskId/history |
InProgressThe name or username of the person who created the service request history record
| Interface | Method |
|---|---|
| Tasks | GET /tasks/:taskId/history |
Jordan HaleThe Propexo unique identifier for the service request
| Interface | Method |
|---|---|
| Tasks | GET /tasks/:taskId/history |
cl9b1nqwe0014jsxq8ab1c2anThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
BUILDIUMAPPFOLIOENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTBUILDIUMThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/service-request-history/:service_request_history_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_created_at": "2024-06-12T09:15:00.000Z",
"x_id": "cl9b1nqwe0016jsxq8ab1c2ap",
"x_property_id": "cl9b1nqwe0001jsxq8ab1c2aa",
"x_location_id": null,
"notes": "Marked the request in progress after speaking with the resident",
"status_raw": "InProgress",
"creator_name": "Jordan Hale",
"service_request_id": "cl9b1nqwe0014jsxq8ab1c2an",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "BUILDIUM",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}